---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: worker
  namespace: transmittal
spec:
  template:
    spec:
      containers:
      - name: worker
        image: cr.yandex/crp3ccidau046kdj8g9q/transmittal-api:prod_4de0b503
        env:
        - name: TRANSMITTAL_SERVICE_SMTP__ENABLE_TLS
          value: 'false'
        - name: TRANSMITTAL_SERVICE_SMTP__HOST
          value: relay.dsinv.ru
        - name: TRANSMITTAL_SERVICE_SMTP__PORT
          value: '25'
        - name: TRANSMITTAL_SERVICE_SMTP__EMAIL
          value: sarex@dsinv.ru
        - name: TRANSMITTAL_SERVICE_APP__NAME
          value: Transmittal Service
        - name: TRANSMITTAL_SERVICE_APP__LOG_LEVEL
          value: ERROR
        - name: TRANSMITTAL_SERVICE_APP__HOST
          value: https://sarex.dsinv.ru/transmittal
        - name: TRANSMITTAL_SERVICE_APP__ENVIRONMENT
          value: prod
        - name: TRANSMITTAL_SERVICE_CORS__ALLOW_ORIGINS
          value: '["https://lk.sarex.io", "lk.sarex.io"]'
        - name: TRANSMITTAL_SERVICE_CORS__ALLOW_METHODS
          value: '["*"]'
        - name: TRANSMITTAL_SERVICE_CORS__ALLOW_HEADERS
          value: '["*"]'
        - name: TRANSMITTAL_SERVICE_CORS__ALLOW_CREDENTIALS
          value: 'true'
        - name: TRANSMITTAL_SERVICE_UVICORN__HOST
          value: 0.0.0.0
        - name: TRANSMITTAL_SERVICE_UVICORN__PORT
          value: '8000'
        - name: TRANSMITTAL_SERVICE_UVICORN__ENABLE_AUTO_RELOAD
          value: 'false'
        - name: TRANSMITTAL_SERVICE_UVICORN__LOG_LEVEL
          value: info
        - name: TRANSMITTAL_SERVICE_UVICORN__NUM_WORKERS
          value: '2'
        - name: TRANSMITTAL_SERVICE_DATABASE__HOST
          value: postgres-service
        - name: TRANSMITTAL_SERVICE_DATABASE__PORT
          value: '5432'
        - name: TRANSMITTAL_SERVICE_DATABASE__NAME
          value: transmittals
        - name: TRANSMITTAL_SERVICE_DATABASE__ENABLE_SSL
          value: 'false'
        - name: TRANSMITTAL_SERVICE_DATABASE__SSL_MODE
          value: verify-full
        - name: TRANSMITTAL_SERVICE_DATABASE__SSL_ROOT_CERT_PATH
          value: /opt/.postgresql/root.crt
        - name: TRANSMITTAL_SERVICE_RABBITMQ__VHOST
          value: api
        - name: TRANSMITTAL_SERVICE_RABBITMQ__HOST
          value: rabbitmq-service
        - name: TRANSMITTAL_SERVICE_RABBITMQ__PORT
          value: '5672'
        - name: TRANSMITTAL_SERVICE_SAREX_BACKEND_REPOSITORY__BASE_URL
          value: https://sarex.dsinv.ru
        - name: TRANSMITTAL_SERVICE_SAREX_BACKEND_REPOSITORY__MAX_CONNECTIONS
          value: '10'
        - name: TRANSMITTAL_SERVICE_SAREX_BACKEND_REPOSITORY__MAX_KEEPALIVE_CONNECTIONS
          value: '5'
        - name: TRANSMITTAL_SERVICE_SAREX_BACKEND_REPOSITORY__TIMEOUT
          value: '30'
        - name: TRANSMITTAL_SERVICE_RESOURCE_REPOSITORY__BASE_URL
          value: http://sarex-resources-service.resources-prod
        - name: TRANSMITTAL_SERVICE_RESOURCE_REPOSITORY__MAX_CONNECTIONS
          value: '10'
        - name: TRANSMITTAL_SERVICE_RESOURCE_REPOSITORY__MAX_KEEPALIVE_CONNECTIONS
          value: '5'
        - name: TRANSMITTAL_SERVICE_RESOURCE_REPOSITORY__TIMEOUT
          value: '30'
        - name: TRANSMITTAL_SERVICE_DOCUMENTATIONS_REPOSITORY__BASE_URL
          value: http://documentations-service.documentations-prod
        - name: TRANSMITTAL_SERVICE_DOCUMENTATIONS_REPOSITORY__MAX_CONNECTIONS
          value: '10'
        - name: TRANSMITTAL_SERVICE_DOCUMENTATIONS_REPOSITORY__MAX_KEEPALIVE_CONNECTIONS
          value: '5'
        - name: TRANSMITTAL_SERVICE_DOCUMENTATIONS_REPOSITORY__TIMEOUT
          value: '30'
        - name: TRANSMITTAL_SERVICE_S3_CLIENT__MAX_POOL_CONNECTIONS
          value: '10'
        - name: TRANSMITTAL_SERVICE_S3_CLIENT__CONNECT_TIMEOUT
          value: '10'
        - name: TRANSMITTAL_SERVICE_S3_CLIENT__READ_TIMEOUT
          value: '30'
        - name: TRANSMITTAL_SERVICE_S3_CLIENT__REGION_NAME
          value: ru-central1
        - name: TRANSMITTAL_SERVICE_S3_CLIENT__VERIFY
          value: 'false'
        - name: TRANSMITTAL_SERVICE_S3_CLIENT__DEFAULT_BUCKET
          value: transmittal-storage
        - name: TRANSMITTAL_SERVICE_S3_CLIENT__ENDPOINT
          value: minio-service.minio.svc.cluster.local:9000
        - name: TRANSMITTAL_SERVICE_S3_CLIENT__USE_SSL
          value: 'false'
        - name: TRANSMITTAL_SERVICE_HTML_TO_PDF_CONVERTER__BASE_URL
          value: http://export-project-service.django.svc.cluster.local:8000
        - name: TRANSMITTAL_SERVICE_HTML_TO_PDF_CONVERTER__MAX_CONNECTIONS
          value: '10'
        - name: TRANSMITTAL_SERVICE_HTML_TO_PDF_CONVERTER__MAX_KEEPALIVE_CONNECTIONS
          value: '5'
        - name: TRANSMITTAL_SERVICE_HTML_TO_PDF_CONVERTER__TIMEOUT
          value: '30'
        - name: TRANSMITTAL_SERVICE_MARKINGS__BASE_URL
          value: http://marks-service.workflow.svc.cluster.local:8000
        - name: TRANSMITTAL_SERVICE_MARKINGS__MAX_CONNECTIONS
          value: '10'
        - name: TRANSMITTAL_SERVICE_MARKINGS__MAX_KEEPALIVE_CONNECTIONS
          value: '5'
        - name: TRANSMITTAL_SERVICE_MARKINGS__TIMEOUT
          value: '30'
        - name: TRANSMITTAL_SERVICE_OTEL__ENABLE
          value: 'false'
        - name: TRANSMITTAL_SERVICE_OTEL__HOST
          value: http://signoz-otel-collector-external.signoz.svc.cluster.local:4317
        - name: TRANSMITTAL_SERVICE_OTEL__SERVICE_NAME
          value: backend.transmittals-prod
        - name: TRANSMITTAL_SERVICE_OTEL__INSECURE
          value: 'false'
